Skip to main content

Operations API (v1)

Download OpenAPI specification:Download

API for cash deposit, payment, cash withdrawal, etc. (v1.162.0)

CashDeposits

InitializeCashDeposit

Initializes a cash deposit operation on specified wallet

path Parameters
walletId
required
string <uuid>

Wallet where operation is initialized

Request Body schema:
required

Request with operation details

idempotencyKey
required
string = 32 characters

Idempotency key used to avoid double queue of a single operation (in case of retries)

amount
required
number <double> > 0

Total original amount of cash deposit operation. NOTE: fees will be subtracted from this amount (ex: customer deposits 100 eur cash, and 2 eur of fees are applyed, then 98 eur will be charged on customer's wallet)

storeId
required
string <uuid> non-empty

Identifier of store where cash deposit is executed

operationGroupId
required
string or null <uuid>

Binding Operation Group Id

required
object

Tags for extra data on operations

Responses

Request samples

Content type
{
  • "idempotencyKey": "stringstringstringstringstringst",
  • "amount": 0.1,
  • "storeId": "b8adcdc8-9238-4168-90f8-77b2d14c211c",
  • "operationGroupId": "48e5fbc1-3ae3-4ebb-ba74-23a77d81c46b",
  • "tags": {
    }
}

Response samples

Content type
{
  • "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",
  • "operationAmount": 0.1,
  • "finalAmount": 0.1,
  • "netAmount": 0.1,
  • "feesAmount": 0.1,
  • "fees": [
    ],
  • "operationGroupId": "48e5fbc1-3ae3-4ebb-ba74-23a77d81c46b",
  • "tags": {
    }
}

ConfirmCashDeposit

Confirms a cash deposit operation using provided identifier

path Parameters
walletId
required
string <uuid>

Wallet where operation is initialized

operationId
required
string <uuid>

Operation to confirm

Responses

Response samples

Content type
{
  • "errorCode": "string",
  • "errorDescription": "string",
  • "errorProperties": {
    }
}

CancelCashDeposit

Cancels a cash deposit operation using provided identifier

path Parameters
walletId
required
string <uuid>

Wallet where operation is initialized

operationId
required
string <uuid>

Operation to cancel

Responses

Response samples

Content type
{
  • "errorCode": "string",
  • "errorDescription": "string",
  • "errorProperties": {
    }
}

TerminateCashDeposit

Terminates a cash deposit operation using provided identifier

path Parameters
walletId
required
string <uuid>

Wallet where operation is initialized

operationId
required
string <uuid>

Operation to terminate

Responses

Response samples

Content type
{
  • "errorCode": "string",
  • "errorDescription": "string",
  • "errorProperties": {
    }
}

SimulateCashDeposit

Simulates a cash deposit operation on wallet and retuns applied fees and final amounts

path Parameters
walletId
required
string <uuid>

Wallet where operation is simulated

Request Body schema:
required

Data for simulation

amount
required
number <double> > 0

Total original amount of cash deposit operation. NOTE: fees will be subtracted from this amount (ex: customer deposits 100 eur cash, and 2 eur of fees are applyed, then 98 eur will be charged on customer's wallet)

storeId
required
string <uuid> non-empty

Identifier of store where cash deposit is executed

required
object

Tags for extra data on operations

Responses

Request samples

Content type
{
  • "amount": 0.1,
  • "storeId": "b8adcdc8-9238-4168-90f8-77b2d14c211c",
  • "tags": {
    }
}

Response samples

Content type
{
  • "operationAmount": 0.1,
  • "finalAmount": 0.1,
  • "netAmount": 0.1,
  • "feesAmount": 0.1,
  • "fees": [
    ],
  • "limits": {
    }
}

CashWithdrawals

InitializeCashWithdrawal

Initializes a cash withdrawal operation on specified wallet

path Parameters
walletId
required
string <uuid>

Wallet where operation is initialized

Request Body schema:
required

Request with operation details

idempotencyKey
required
string = 32 characters

Idempotency key used to avoid double queue of a single operation (in case of retries)

amount
required
number <double> > 0

Total original amount of cash withdrawal operation. NOTE: fees will be added to this amount (ex: customer withdraws 50 eur cash, and 2 eur of fees are applyed, then 52 eur will be subtracted from customer's wallet)

storeId
required
string <uuid> non-empty

Identifier of store where cash withdrawal is executed

operationGroupId
required
string or null <uuid>

Binding Operation Group Id

required
object or null

Tags for extra data on operations

Responses

Request samples

Content type
{
  • "idempotencyKey": "stringstringstringstringstringst",
  • "amount": 0.1,
  • "storeId": "b8adcdc8-9238-4168-90f8-77b2d14c211c",
  • "operationGroupId": "48e5fbc1-3ae3-4ebb-ba74-23a77d81c46b",
  • "tags": {
    }
}

Response samples

Content type
{
  • "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",
  • "operationGroupId": "48e5fbc1-3ae3-4ebb-ba74-23a77d81c46b",
  • "operationAmount": 0.1,
  • "finalAmount": 0.1,
  • "netAmount": 0.1,
  • "feesAmount": 0.1,
  • "fees": [
    ]
}

ConfirmCashWithdrawal

Confirms a withdrawal operation using provided identifier

path Parameters
walletId
required
string <uuid>

Wallet where operation is initialized

operationId
required
string <uuid>

Operation to confirm

Responses

Response samples

Content type
{
  • "errorCode": "string",
  • "errorDescription": "string",
  • "errorProperties": {
    }
}

CancelCashWithdrawal

Cancels a withdrawal operation using provided identifier

path Parameters
walletId
required
string <uuid>

Wallet where operation is initialized

operationId
required
string <uuid>

Operation to cancel

Responses

Response samples

Content type
{
  • "errorCode": "string",
  • "errorDescription": "string",
  • "errorProperties": {
    }
}

TerminateCashWithdrawal

Terminates a withdrawal operation using provided identifier

path Parameters
walletId
required
string <uuid>

Wallet where operation is initialized

operationId
required
string <uuid>

Operation to Terminate

Responses

Response samples

Content type
{
  • "errorCode": "string",
  • "errorDescription": "string",
  • "errorProperties": {
    }
}

SimulateCashWithdrawal

Simulates a cash withdrawal operation on wallet and returns applied fees and final amounts

path Parameters
walletId
required
string <uuid>

Wallet where operation is simulated

Request Body schema:
required

Data for simulation

amount
required
number <double> > 0

Total original amount of cash withdrawal operation. NOTE: fees will be added to this amount (ex: customer withdraws 50 eur cash, and 2 eur of fees are applyed, then 52 eur will be subtracted from customer's wallet)

storeId
required
string <uuid> non-empty

Identifier of store where cash withdrawal is executed

required
object or null

Tags for extra data on operations

Responses

Request samples

Content type
{
  • "amount": 0.1,
  • "storeId": "b8adcdc8-9238-4168-90f8-77b2d14c211c",
  • "tags": {
    }
}

Response samples

Content type
{
  • "operationAmount": 0.1,
  • "finalAmount": 0.1,
  • "netAmount": 0.1,
  • "feesAmount": 0.1,
  • "fees": [
    ],
  • "limits": {
    }
}

Harvestings

GetHarvestings

Gets paginated harvesting on partner

query Parameters
fromDate
string <date-time>

From date range filter

toDate
string <date-time>

To date range filter

pageSize
integer <int32>
Default: 50

Number of items per page

pageNumber
integer <int32>
Default: 0

Zero-based page number

type
string

(Optional) filter for a given type

status
string

(Optional) filter for a given status

Responses

Response samples

Content type
{
  • "totalCount": 0,
  • "limitCount": 0,
  • "items": [
    ]
}

CountHarvestings

Get count of harvestings on partner

query Parameters
fromDate
string <date-time>

From date range filter

toDate
string <date-time>

To date range filter

type
string

(Optional) filter for a given type

status
string

(Optional) filter for a given status

Responses

Response samples

Content type
{
  • "value": 0
}

LoyaltyDeposits

InitializeLoyaltyDeposit

Initializes a loyalty deposit operation on specified wallet

path Parameters
walletId
required
string <uuid>

Wallet where operation is initialized

Request Body schema:
required

Request with operation details

idempotencyKey
required
string = 32 characters

Idempotency key used to avoid double queue of a single operation (in case of retries)

amount
required
number <double> > 0

Total original amount of loyalty deposit operation. NOTE: fees will be subtracted from this amount (ex: customer deposits 100 eur cash, and 2 eur of fees are applyed, then 98 eur will be charged on customer's wallet)

storeId
required
string <uuid> non-empty

StoreId associated to the payment

operationGroupId
required
string or null <uuid>

Binding Operation Group Id

required
object

Tags for extra data on operations

Responses

Request samples

Content type
{
  • "idempotencyKey": "stringstringstringstringstringst",
  • "amount": 0.1,
  • "storeId": "b8adcdc8-9238-4168-90f8-77b2d14c211c",
  • "operationGroupId": "48e5fbc1-3ae3-4ebb-ba74-23a77d81c46b",
  • "tags": {
    }
}

Response samples

Content type
{
  • "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",
  • "operationGroupId": "48e5fbc1-3ae3-4ebb-ba74-23a77d81c46b",
  • "operationAmount": 0.1,
  • "finalAmount": 0.1,
  • "netAmount": 0.1,
  • "feesAmount": 0.1,
  • "fees": [
    ],
  • "tags": {
    }
}

ConfirmLoyaltyDeposit

Confirms a loyalty deposit operation using provided identifier

path Parameters
walletId
required
string <uuid>

Wallet where operation is initialized

operationId
required
string <uuid>

Operation to confirm

Responses

Response samples

Content type
{
  • "errorCode": "string",
  • "errorDescription": "string",
  • "errorProperties": {
    }
}

CancelLoyaltyDeposit

Cancels a loyalty deposit operation using provided identifier

path Parameters
walletId
required
string <uuid>

Wallet where operation is initialized

operationId
required
string <uuid>

Operation to cancel

Responses

Response samples

Content type
{
  • "errorCode": "string",
  • "errorDescription": "string",
  • "errorProperties": {
    }
}

TerminateLoyaltyDeposit

Terminates a loyalty deposit operation using provided identifier

path Parameters
walletId
required
string <uuid>

Wallet where operation is initialized

operationId
required
string <uuid>

Operation to terminate

Responses

Response samples

Content type
{
  • "errorCode": "string",
  • "errorDescription": "string",
  • "errorProperties": {
    }
}

SimulateLoyaltyDeposit

Simulates a loyalty deposit operation on wallet and retuns applied fees and final amounts

path Parameters
walletId
required
string <uuid>

Wallet where operation is simulated

Request Body schema:
required

Data for simulation

amount
required
number <double> > 0

Total original amount of loyalty deposit operation. NOTE: fees will be subtracted from this amount (ex: customer deposits 100 eur cash, and 2 eur of fees are applyed, then 98 eur will be charged on customer's wallet)

storeId
required
string <uuid> non-empty

StoreId associated to the simulated operation

required
object

Tags for extra data on operations

Responses

Request samples

Content type
{
  • "amount": 0.1,
  • "storeId": "b8adcdc8-9238-4168-90f8-77b2d14c211c",
  • "tags": {
    }
}

Response samples

Content type
{
  • "operationAmount": 0.1,
  • "finalAmount": 0.1,
  • "netAmount": 0.1,
  • "feesAmount": 0.1,
  • "fees": [
    ],
  • "limits": {
    }
}

OnlineToIssuer

ExecutePayment

Execute payment operation (initialize and confirm) on specified wallet using the URL and contract defined for O2I Affiliate endpoint specifications on P2 Card Platform

Request Body schema:
required

Request with operation details

financialReference
required
string <uuid>

Wallet id

transactionId
required
string or null
refTransactionId
required
string or null
transactionDateTime
required
string <date-time>
processDateTime
required
string <date-time>
transactionAmount
required
number <double> > 0
transactionCurrency
required
integer <int32>
billingAmount
required
number <double>
billingCurrency
required
integer <int32>
terminalId
required
string or null
mcc
required
string or null
merchantId
required
string or null
merchantName
required
string or null
merchantStreet
required
string or null
merchantCity
required
string or null
merchantZip
required
string or null
merchantCountry
required
integer <int32>
cardToken
required
string or null
authorizationCode
required
string or null
cardScheme
required
integer <int32>
type
required
integer <int32>
stan
required
string or null
source
required
string or null
entryMode
required
integer <int32>
authentication
required
integer <int32>
authenticationProtocol
required
integer <int32>
virtualCardNumberId
required
string or null
wallet
required
integer <int32>
responseCode
required
string or null
required
object or null

Responses

Request samples

Content type
{
  • "financialReference": "080b3bcc-2343-490f-afb3-58b4baa6892d",
  • "transactionId": "string",
  • "refTransactionId": "string",
  • "transactionDateTime": "2019-08-24T14:15:22Z",
  • "processDateTime": "2019-08-24T14:15:22Z",
  • "transactionAmount": 0.1,
  • "transactionCurrency": 0,
  • "billingAmount": 0.1,
  • "billingCurrency": 0,
  • "terminalId": "string",
  • "mcc": "string",
  • "merchantId": "string",
  • "merchantName": "string",
  • "merchantStreet": "string",
  • "merchantCity": "string",
  • "merchantZip": "string",
  • "merchantCountry": 0,
  • "cardToken": "string",
  • "authorizationCode": "string",
  • "cardScheme": 0,
  • "type": 0,
  • "stan": "string",
  • "source": "string",
  • "entryMode": 0,
  • "authentication": 0,
  • "authenticationProtocol": 0,
  • "virtualCardNumberId": "string",
  • "wallet": 0,
  • "responseCode": "string",
  • "tags": {
    }
}

Response samples

Content type
{
  • "transactionId": "string",
  • "responseCode": "string",
  • "availableBalance": 0.1,
  • "accountCurrency": 0
}

OperationGroups

GetPendingOperationGroup

Gets the pending Operation Group (if any) on provided wallet

path Parameters
walletId
required
string <uuid>

Wallet identifier

Responses

Response samples

Content type
{
  • "operationGroupId": "48e5fbc1-3ae3-4ebb-ba74-23a77d81c46b",
  • "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480",
  • "walletAvailableBalance": 0.1,
  • "partnerKey": "string",
  • "creationDate": "2019-08-24T14:15:22Z",
  • "confirmationDate": "2019-08-24T14:15:22Z",
  • "expiryDate": "2019-08-24T14:15:22Z",
  • "cancellationDate": "2019-08-24T14:15:22Z",
  • "groupOperations": [
    ],
  • "limits": {
    }
}

GetWalletOperationGroups

Get paginated operation groups available on provided wallet

path Parameters
walletId
required
string <uuid>

Wallet identifier

query Parameters
fromDate
string <date-time>

From date range filter

toDate
string <date-time>

To date range filter

pageSize
integer <int32>
Default: 50

Number of Transactions per page

pageNumber
integer <int32>
Default: 0

Zero-based page number

Responses

Response samples

Content type
{
  • "totalCount": 0,
  • "limitCount": 0,
  • "items": [
    ]
}

GetWalletOperationGroupDetails

Get the selected OperationGroup with its details

path Parameters
walletId
required
string <uuid>

Wallet identifier

operationGroupId
required
string <uuid>

OperationGroup identifier

Responses

Response samples

Content type
{
  • "operationGroupId": "48e5fbc1-3ae3-4ebb-ba74-23a77d81c46b",
  • "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480",
  • "walletAvailableBalance": 0.1,
  • "partnerKey": "string",
  • "creationDate": "2019-08-24T14:15:22Z",
  • "confirmationDate": "2019-08-24T14:15:22Z",
  • "expiryDate": "2019-08-24T14:15:22Z",
  • "cancellationDate": "2019-08-24T14:15:22Z",
  • "groupOperations": [
    ],
  • "limits": {
    }
}

InitializeOperationGroup

Initialize Operation Group on provided wallet

path Parameters
walletId
required
string <uuid>

Wallet identifier

Request Body schema:
required

Request with operation details

idempotencyKey
required
string = 32 characters

Idempotency key used to avoid double queue of a single operation (in case of retries)

Responses

Request samples

Content type
{
  • "idempotencyKey": "stringstringstringstringstringst"
}

Response samples

Content type
{
  • "operationGroupId": "48e5fbc1-3ae3-4ebb-ba74-23a77d81c46b",
  • "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480",
  • "walletAvailableBalance": 0.1,
  • "partnerKey": "string",
  • "creationDate": "2019-08-24T14:15:22Z",
  • "confirmationDate": "2019-08-24T14:15:22Z",
  • "expiryDate": "2019-08-24T14:15:22Z",
  • "cancellationDate": "2019-08-24T14:15:22Z",
  • "groupOperations": [
    ],
  • "limits": {
    }
}

ConfirmOperationGroup

Confirms the given Operation Group on provided wallet

path Parameters
walletId
required
string <uuid>

Wallet identifier

operationGroupId
required
string <uuid>

Operation group identifier

Responses

Response samples

Content type
{
  • "operationGroupId": "48e5fbc1-3ae3-4ebb-ba74-23a77d81c46b",
  • "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480",
  • "walletAvailableBalance": 0.1,
  • "partnerKey": "string",
  • "creationDate": "2019-08-24T14:15:22Z",
  • "confirmationDate": "2019-08-24T14:15:22Z",
  • "expiryDate": "2019-08-24T14:15:22Z",
  • "cancellationDate": "2019-08-24T14:15:22Z",
  • "groupOperations": [
    ],
  • "limits": {
    }
}

CancelOperationGroup

Cancels the given Operation Group on provided wallet

path Parameters
walletId
required
string <uuid>

Wallet identifier

operationGroupId
required
string <uuid>

Operation group identifier

Responses

Response samples

Content type
{
  • "operationGroupId": "48e5fbc1-3ae3-4ebb-ba74-23a77d81c46b",
  • "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480",
  • "walletAvailableBalance": 0.1,
  • "partnerKey": "string",
  • "creationDate": "2019-08-24T14:15:22Z",
  • "confirmationDate": "2019-08-24T14:15:22Z",
  • "expiryDate": "2019-08-24T14:15:22Z",
  • "cancellationDate": "2019-08-24T14:15:22Z",
  • "groupOperations": [
    ],
  • "limits": {
    }
}

Operations

GetOperationTypes

Return the list of the valid types

Responses

Response samples

Content type
[
  • "string"
]

GetOperationById

Gets an operation by id

path Parameters
walletId
required
string <uuid>

Identifier of the wallet

operationId
required
string <uuid>

Identifies of the wallet

Responses

Response samples

Content type
{
  • "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",
  • "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480",
  • "partnerKey": "string",
  • "dealerKey": "string",
  • "storeId": "b8adcdc8-9238-4168-90f8-77b2d14c211c",
  • "type": "string",
  • "idempotencyKey": "string",
  • "amount": 0.1,
  • "customerFinalAmount": 0.1,
  • "customerNetAmount": 0.1,
  • "fees": [
    ],
  • "creationDate": "2019-08-24T14:15:22Z",
  • "confirmationDate": "2019-08-24T14:15:22Z",
  • "lastUpdateDate": "2019-08-24T14:15:22Z",
  • "cancellationDate": "2019-08-24T14:15:22Z",
  • "expiryDate": "2019-08-24T14:15:22Z",
  • "terminationDate": "2019-08-24T14:15:22Z",
  • "completionDate": "2019-08-24T14:15:22Z",
  • "status": "string",
  • "operationGroupId": "48e5fbc1-3ae3-4ebb-ba74-23a77d81c46b",
  • "feedback": "string",
  • "attempts": 0,
  • "bankNotificationId": "7640ad94-efcd-4d56-a6ee-5a52bae50855",
  • "harvestingId": "ae28197c-bdb7-4892-aecb-f28571aba0b7",
  • "tags": {
    },
  • "metadata": {
    }
}

GetWalletOperationStates

Get list of possible states of Wallet Operations.

Responses

Response samples

Content type
[
  • "string"
]

GetPartnerOperations

Gets paginated operations by partner

query Parameters
fromDate
string <date-time>

From date range filter

toDate
string <date-time>

To date range filter

pageSize
integer <int32>
Default: 50

Number of Transactions per page

pageNumber
integer <int32>
Default: 0

Zero-based page number

operationType
string

(Optional) filter for a given operation type

operationStatus
string

(Optional) filter for a given operation status ("Pending", "Confirmed", "Completed", "Expired", "Terminated" and "Cancelled")

bankNotificationId
string <uuid>

(Optional) bank notification identifier

harvestingId
string <uuid>

(Optional) harvesting identifier

Responses

Response samples

Content type
{
  • "totalCount": 0,
  • "limitCount": 0,
  • "items": [
    ]
}

CountPartnerOperations

Get count of operations available on partner

query Parameters
fromDate
string <date-time>

From date range filter

toDate
string <date-time>

To date range filter

operationType
string

(Optional) filter for a given operation type

operationStatus
string

(Optional) filter for a given operation status

bankNotificationId
string <uuid>

(Optional) bank notification identifier

harvestingId
string <uuid>

(Optional) harvesting identifier

Responses

Response samples

Content type
{
  • "value": 0
}

GetPartnerOperationsByTags

Gets an operation by Tags and Type. NOTE: All tags specified must be contained in the Operation

query Parameters
fromDate
string <date-time>

From date range filter

toDate
string <date-time>

To date range filter

pageSize
integer <int32>
Default: 50

Number of Transactions per page

pageNumber
integer <int32>
Default: 0

Zero-based page number

operationType
string

(Optional) filter for a given operation type

operationStatus
string

(Optional) filter for a given operation status

Request Body schema:
required

Request containging Tags

required
object

Operation tags for storing extra information

property name*
additional property
string or null

Responses

Request samples

Content type
{
  • "tags": {
    }
}

Response samples

Content type
{
  • "totalCount": 0,
  • "limitCount": 0,
  • "items": [
    ]
}

CountPartnerOperationsByTags

Counts total operations with all specified tags on partner. NOTE: All tags specified must be contained in the Operation

query Parameters
fromDate
string <date-time>

From date range filter

toDate
string <date-time>

To date range filter

operationType
string

(Optional) filter for a given operation type

operationStatus
string

(Optional) filter for a given operation status

Request Body schema:
required

Request containging Tags

required
object

Operation tags for storing extra information

property name*
additional property
string or null

Responses

Request samples

Content type
{
  • "tags": {
    }
}

Response samples

Content type
{
  • "value": 0
}

GetPartnerOperationsByBankNotification

Gets paginated operations by partner associated to a given BankNotification

query Parameters
bankNotificationId
required
string <uuid>

(Required) BankNotification identifier

fromDate
string <date-time>

From date range filter

toDate
string <date-time>

To date range filter

pageSize
integer <int32>
Default: 50

Number of Transactions per page

pageNumber
integer <int32>
Default: 0

Zero-based page number

operationType
string

(Optional) filter for a given operation type

operationStatus
string

(Optional) filter for a given operation status ("Pending", "Confirmed", "Completed", "Expired", "Terminated" and "Cancelled")

Responses

Response samples

Content type
{
  • "totalCount": 0,
  • "limitCount": 0,
  • "items": [
    ]
}

CountPartnerOperationsByBankNotification

Counts operations by partner associated to a given BankNotification

query Parameters
bankNotificationId
required
string <uuid>

(Required) BankNotification identifier

fromDate
string <date-time>

From date range filter

toDate
string <date-time>

To date range filter

operationType
string

(Optional) filter for a given operation type

operationStatus
string

(Optional) filter for a given operation status ("Pending", "Confirmed", "Completed", "Expired", "Terminated" and "Cancelled")

Responses

Response samples

Content type
{
  • "value": 0
}

SearchOperations

Gets paginated operations by partner containing the specified metadata.

Request Body schema:
required

Requests contining metadata to search

required
object

Operation Metadata

property name*
additional property
any or null

Responses

Request samples

Content type
{
  • "metadata": {
    }
}

Response samples

Content type
[
  • {
    }
]

PushTags

Appends the provided tags to the operation identified by operationId.

path Parameters
operationId
required
string <uuid>

Operation identifier

Request Body schema:
required

Requests contining tags to append

required
object

Tags to append to the operation

property name*
additional property
string or null

Responses

Request samples

Content type
{
  • "tagsToAdd": {
    }
}

Response samples

Content type
[
  • {
    }
]

GetOperationsBetweenStatuses

Get paginated operations available on provided store that are between the two provided statuses

query Parameters
fromStatus
required
string
Enum: "None" "Initialized" "Confirmed" "Compensated" "Completing" "TransferInitializeRequested" "TransferInitialized" "TransferInitializeUnaccomplished" "TransferConfirmRequested" "TransferConfirmed" "TransferConfirmUnaccomplished" "TransferCompleted" "TransferFailed" "OutgoingPaymentInitializeRequested" "OutgoingPaymentInitialized" "OutgoingPaymentInitializeUnaccomplished" "OutgoingPaymentConfirmRequested" "OutgoingPaymentConfirmed" "OutgoingPaymentConfirmUnaccomplished" "OutgoingPaymentCompleted" "OutgoingPaymentRejected" "Completed" "Cancelled" "Terminated" "Expired" "Verified" "Harvesting" "Harvested"

Starting status filter

toStatus
required
string
Enum: "None" "Initialized" "Confirmed" "Compensated" "Completing" "TransferInitializeRequested" "TransferInitialized" "TransferInitializeUnaccomplished" "TransferConfirmRequested" "TransferConfirmed" "TransferConfirmUnaccomplished" "TransferCompleted" "TransferFailed" "OutgoingPaymentInitializeRequested" "OutgoingPaymentInitialized" "OutgoingPaymentInitializeUnaccomplished" "OutgoingPaymentConfirmRequested" "OutgoingPaymentConfirmed" "OutgoingPaymentConfirmUnaccomplished" "OutgoingPaymentCompleted" "OutgoingPaymentRejected" "Completed" "Cancelled" "Terminated" "Expired" "Verified" "Harvesting" "Harvested"

End status filter

fromDate
string <date-time>

From date range filter

toDate
string <date-time>

To date range filter

pageSize
integer <int32>
Default: 50

Number of Transactions per page

pageNumber
integer <int32>
Default: 0

Zero-based page number

includeFrom
boolean
Default: true

Flag to include fromStatus value

includeTo
boolean
Default: true

Flag to include toStatus value

walletId
string <uuid>

(Optional) Wallet identifier

storeId
string <uuid>

(Optional) Store identifier

Responses

Response samples

Content type
{
  • "totalCount": 0,
  • "limitCount": 0,
  • "items": [
    ]
}

GetDealerOperations

Gets paginated operations by dealer

path Parameters
dealerKey
required
string

Identifier of the dealer

query Parameters
fromDate
string <date-time>

From date range filter

toDate
string <date-time>

To date range filter

pageSize
integer <int32>
Default: 50

Number of Transactions per page

pageNumber
integer <int32>
Default: 0

Zero-based page number

operationType
string

(Optional) filter for operation type

operationStatus
string

(Optional) filter for operation status

Responses

Response samples

Content type
{
  • "totalCount": 0,
  • "limitCount": 0,
  • "items": [
    ]
}

CountDealerOperations

Get count of operations available for a dealer

path Parameters
dealerKey
required
string

Dealer identifier

query Parameters
fromDate
string <date-time>

From date range filter

toDate
string <date-time>

To date range filter

operationType
string

(Optional) filter for a given operation type

operationStatus
string

(Optional) filter for operation status

Responses

Response samples

Content type
{
  • "value": 0
}

GetWalletOperations

Get paginated operations available on provided wallet

path Parameters
walletId
required
string <uuid>

Wallet identifier

query Parameters
fromDate
string <date-time>

From date range filter

toDate
string <date-time>

To date range filter

pageSize
integer <int32>
Default: 50

Number of Transactions per page

pageNumber
integer <int32>
Default: 0

Zero-based page number

operationType
string

(Optional) filter for a given operation type

operationStatus
string

(Optional) filter for operation status

Responses

Response samples

Content type
{
  • "totalCount": 0,
  • "limitCount": 0,
  • "items": [
    ]
}

CountWalletOperations

Get count of operations on a provided wallet

path Parameters
walletId
required
string <uuid>

Wallet identifier

query Parameters
fromDate
string <date-time>

From date range filter

toDate
string <date-time>

To date range filter

operationType
string

(Optional) filter for a given operation type

operationStatus
string

(Optional) filter for operation status

Responses

Response samples

Content type
{
  • "value": 0
}

GetStoreOperations

Get paginated operations available on provided store

path Parameters
storeId
required
string <uuid>

Store identifier

query Parameters
fromDate
string <date-time>

From date range filter

toDate
string <date-time>

To date range filter

pageSize
integer <int32>
Default: 50

Number of Transactions per page

pageNumber
integer <int32>
Default: 0

Zero-based page number

operationType
string

(Optional) filter for a given operation type

operationStatus
string

(Optional) filter for operation status

Responses

Response samples

Content type
{
  • "totalCount": 0,
  • "limitCount": 0,
  • "items": [
    ]
}

CountStoreOperations

Get count of operations on a provided store

path Parameters
storeId
required
string <uuid>

Store identifier

query Parameters
fromDate
string <date-time>

From date range filter

toDate
string <date-time>

To date range filter

operationType
string

(Optional) filter for a given operation type

operationStatus
string

(Optional) filter for operation status

Responses

Response samples

Content type
{
  • "value": 0
}

GetStoreOperationSummaryOperations

Get the total amount of operations completed or confirmed grouped by status and reconciliationcode for a given store and operation type

path Parameters
storeId
required
string <uuid>

Store identifier

query Parameters
operationType
required
string

Filter for a given operation type

fromDate
string <date>

From date range filter

toDate
string <date>

To date range filter

Responses

Response samples

Content type
{
  • "reconciliationCode": "string",
  • "amount": 0.1,
  • "status": "string",
  • "count": 0,
  • "date": "2019-08-24"
}

GetStorePendingSummary

Get Reconciliation Groups with total amount of operations pending reconciliation for a given store and operation type, grouped by reconciliation code.

path Parameters
storeId
required
string <uuid>

Store identifier

Responses

Response samples

Content type
[
  • {
    }
]

GetPartnerOperationsOverview

Gets an overview of operations (total items, min/max date), sliced by type and status

Responses

Response samples

Content type
[
  • {
    }
]

Payments

InitializePayment

Initializes a payment operation on specified wallet

path Parameters
walletId
required
string <uuid>

Wallet where operation is initialized

Request Body schema:
required

Request with operation details

idempotencyKey
required
string = 32 characters

Idempotency key used to avoid double queue of a single operation (in case of retries)

amount
required
number <double> > 0

Total amount of payment operation. NOTE: fees will be added to this amount when the payment is completed (ex: customer buys groceries for 80 eur. From his wallet will be subtracted 81 eur, because 1 eur of fees are applyed)

storeId
required
string <uuid> non-empty

Identifier of store where payment is executed

operationGroupId
required
string or null <uuid>

Binding Operation Group Id

required
object or null

Tags for extra data on operations

Responses

Request samples

Content type
{
  • "idempotencyKey": "stringstringstringstringstringst",
  • "amount": 0.1,
  • "storeId": "b8adcdc8-9238-4168-90f8-77b2d14c211c",
  • "operationGroupId": "48e5fbc1-3ae3-4ebb-ba74-23a77d81c46b",
  • "tags": {
    }
}

Response samples

Content type
{
  • "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",
  • "operationAmount": 0.1,
  • "finalAmount": 0.1,
  • "netAmount": 0.1,
  • "feesAmount": 0.1,
  • "fees": [
    ],
  • "operationGroupId": "48e5fbc1-3ae3-4ebb-ba74-23a77d81c46b",
  • "tags": {
    }
}

ConfirmPayment

Confirms a payment operation using provided identifier

path Parameters
walletId
required
string <uuid>

Wallet where operation is initialized

operationId
required
string <uuid>

Operation to confirm

Responses

Response samples

Content type
{
  • "errorCode": "string",
  • "errorDescription": "string",
  • "errorProperties": {
    }
}

CancelPayment

Cancels a payment operation using provided identifier

path Parameters
walletId
required
string <uuid>

Wallet where operation is initialized

operationId
required
string <uuid>

Operation to cancel

Responses

Response samples

Content type
{
  • "errorCode": "string",
  • "errorDescription": "string",
  • "errorProperties": {
    }
}

TerminatePayment

Terminates a payment operation using provided identifier

path Parameters
walletId
required
string <uuid>

Wallet where operation is initialized

operationId
required
string <uuid>

Operation to Terminate

Responses

Response samples

Content type
{
  • "errorCode": "string",
  • "errorDescription": "string",
  • "errorProperties": {
    }
}

SimulatePayment

Simulates a payment operation on wallet and retuns applied fees and final amounts

path Parameters
walletId
required
string <uuid>

Wallet where operation is simulated

Request Body schema:
required

Data for simulation

amount
required
number <double> > 0

Total amount of payment operation. NOTE: fees will be added to this amount when the payment is completed (ex: customer buys groceries for 80 eur. From his wallet will be subtracted 81 eur, because 1 eur of fees are applyed)

storeId
required
string <uuid> non-empty

Identifier of store where cash deposit is executed

required
object or null

Tags for extra data on operations

Responses

Request samples

Content type
{
  • "amount": 0.1,
  • "storeId": "b8adcdc8-9238-4168-90f8-77b2d14c211c",
  • "tags": {
    }
}

Response samples

Content type
{
  • "operationAmount": 0.1,
  • "finalAmount": 0.1,
  • "netAmount": 0.1,
  • "feesAmount": 0.1,
  • "fees": [
    ],
  • "limits": {
    }
}

SctWithdrawals

InitializeSctWithdrawal

Initializes a sct withdrawal operation on specified wallet

path Parameters
walletId
required
string <uuid>

Wallet where operation is initialized

Request Body schema:
required

Request with operation details

idempotencyKey
required
string = 32 characters

Idempotency key used to avoid double queue of a single operation (in case of retries)

amount
required
number <double> > 0

Total original amount of sct withdrawal operation. NOTE: fees will be added to this amount (ex: customer withdraws 50 eur sct, and 2 eur of fees are applyed, then 52 eur will be subtracted from customer's wallet)

required
object or null

Tags for extra data on operations

Responses

Request samples

Content type
{
  • "idempotencyKey": "stringstringstringstringstringst",
  • "amount": 0.1,
  • "tags": {
    }
}

Response samples

Content type
{
  • "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",
  • "operationGroupId": "48e5fbc1-3ae3-4ebb-ba74-23a77d81c46b",
  • "operationAmount": 0.1,
  • "finalAmount": 0.1,
  • "netAmount": 0.1,
  • "feesAmount": 0.1,
  • "fees": [
    ]
}

ConfirmSctWithdrawal

Confirms a withdrawal operation using provided identifier

path Parameters
walletId
required
string <uuid>

Wallet where operation is initialized

operationId
required
string <uuid>

Operation to confirm

Responses

Response samples

Content type
{
  • "errorCode": "string",
  • "errorDescription": "string",
  • "errorProperties": {
    }
}

CancelSctWithdrawal

Cancels a withdrawal operation using provided identifier

path Parameters
walletId
required
string <uuid>

Wallet where operation is initialized

operationId
required
string <uuid>

Operation to cancel

Responses

Response samples

Content type
{
  • "errorCode": "string",
  • "errorDescription": "string",
  • "errorProperties": {
    }
}

TerminateSctWithdrawal

Terminates a withdrawal operation using provided identifier

path Parameters
walletId
required
string <uuid>

Wallet where operation is initialized

operationId
required
string <uuid>

Operation to terminate

Responses

Response samples

Content type
{
  • "errorCode": "string",
  • "errorDescription": "string",
  • "errorProperties": {
    }
}

SimulateSctWithdrawal

Simulates a sct withdrawal operation on wallet and returns applied fees and final amounts

path Parameters
walletId
required
string <uuid>

Wallet where operation is simulated

Request Body schema:
required

Data for simulation

amount
required
number <double> > 0

Total original amount of sct withdrawal operation. NOTE: fees will be added to this amount (ex: customer withdraws 50 eur sct, and 2 eur of fees are applyed, then 52 eur will be subtracted from customer's wallet)

required
object or null

Tags for extra data on operations

Responses

Request samples

Content type
{
  • "amount": 0.1,
  • "tags": {
    }
}

Response samples

Content type
{
  • "operationAmount": 0.1,
  • "finalAmount": 0.1,
  • "netAmount": 0.1,
  • "feesAmount": 0.1,
  • "fees": [
    ],
  • "limits": {
    }
}

Sdd

GetWalletingMandate

Get information about the current (if present) Mandate on specific wallet

path Parameters
walletId
required
string <uuid>

Wallet identifier

Responses

Response samples

Content type
{
  • "mandateId": "d4dbf0da-b5aa-43ae-b9db-c2aff331d3ad",
  • "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480",
  • "storeId": "b8adcdc8-9238-4168-90f8-77b2d14c211c",
  • "type": "string",
  • "partnerKey": "string",
  • "mandateUniqueReference": "string",
  • "debtorName": "string",
  • "debtorIban": "string",
  • "amount": 0.1,
  • "frequency": "string",
  • "creationDate": "2019-08-24T14:15:22Z",
  • "fillDate": "2019-08-24T14:15:22Z",
  • "activationRequestDate": "2019-08-24T14:15:22Z",
  • "activationDate": "2019-08-24T14:15:22Z",
  • "disableRequestDate": "2019-08-24T14:15:22Z",
  • "disabledDate": "2019-08-24T14:15:22Z",
  • "rejectionDate": "2019-08-24T14:15:22Z",
  • "status": "string",
  • "nextDepositRequestDate": "2019-08-24",
  • "lastDepositRequestedDate": "2019-08-24T14:15:22Z",
  • "addressStreet": "string",
  • "city": "string",
  • "lastError": "string",
  • "lastFailureDate": "2019-08-24T14:15:22Z",
  • "nextDepositDate": "2019-08-24",
  • "lastDepositDate": "2019-08-24T14:15:22Z"
}

InitializeWalletingMandate

Initializes a new Mandate for provided wallet

path Parameters
walletId
required
string <uuid>

Wallet identifier

Request Body schema:
required

Request for create mandate document

amount
number <double> [ 10 .. 250 ]

Amount requested for mandate

frequency
string or null

Frequency of request of money (Weekly/Monthly)

Responses

Request samples

Content type
{
  • "amount": 10,
  • "frequency": "string"
}

Response samples

Content type
{
  • "mandateId": "d4dbf0da-b5aa-43ae-b9db-c2aff331d3ad",
  • "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480",
  • "storeId": "b8adcdc8-9238-4168-90f8-77b2d14c211c",
  • "type": "string",
  • "partnerKey": "string",
  • "mandateUniqueReference": "string",
  • "debtorName": "string",
  • "debtorIban": "string",
  • "amount": 0.1,
  • "frequency": "string",
  • "creationDate": "2019-08-24T14:15:22Z",
  • "fillDate": "2019-08-24T14:15:22Z",
  • "activationRequestDate": "2019-08-24T14:15:22Z",
  • "activationDate": "2019-08-24T14:15:22Z",
  • "disableRequestDate": "2019-08-24T14:15:22Z",
  • "disabledDate": "2019-08-24T14:15:22Z",
  • "rejectionDate": "2019-08-24T14:15:22Z",
  • "status": "string",
  • "nextDepositRequestDate": "2019-08-24",
  • "lastDepositRequestedDate": "2019-08-24T14:15:22Z",
  • "addressStreet": "string",
  • "city": "string",
  • "lastError": "string",
  • "lastFailureDate": "2019-08-24T14:15:22Z",
  • "nextDepositDate": "2019-08-24",
  • "lastDepositDate": "2019-08-24T14:15:22Z"
}

DisableWalletingMandate

Disables a Mandate active on provided wallet or cancels it if it was never requested activation.

path Parameters
walletId
required
string <uuid>

Wallet owner of the mandate

Responses

Response samples

Content type
{
  • "mandateId": "d4dbf0da-b5aa-43ae-b9db-c2aff331d3ad",
  • "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480",
  • "storeId": "b8adcdc8-9238-4168-90f8-77b2d14c211c",
  • "type": "string",
  • "partnerKey": "string",
  • "mandateUniqueReference": "string",
  • "debtorName": "string",
  • "debtorIban": "string",
  • "amount": 0.1,
  • "frequency": "string",
  • "creationDate": "2019-08-24T14:15:22Z",
  • "fillDate": "2019-08-24T14:15:22Z",
  • "activationRequestDate": "2019-08-24T14:15:22Z",
  • "activationDate": "2019-08-24T14:15:22Z",
  • "disableRequestDate": "2019-08-24T14:15:22Z",
  • "disabledDate": "2019-08-24T14:15:22Z",
  • "rejectionDate": "2019-08-24T14:15:22Z",
  • "status": "string",
  • "nextDepositRequestDate": "2019-08-24",
  • "lastDepositRequestedDate": "2019-08-24T14:15:22Z",
  • "addressStreet": "string",
  • "city": "string",
  • "lastError": "string",
  • "lastFailureDate": "2019-08-24T14:15:22Z",
  • "nextDepositDate": "2019-08-24",
  • "lastDepositDate": "2019-08-24T14:15:22Z"
}

GetWalletingMandateById

Gets information about a specific Mandate using its identifier

path Parameters
mandateId
required
string <uuid>

Mandate identifier

Responses

Response samples

Content type
{
  • "mandateId": "d4dbf0da-b5aa-43ae-b9db-c2aff331d3ad",
  • "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480",
  • "storeId": "b8adcdc8-9238-4168-90f8-77b2d14c211c",
  • "type": "string",
  • "partnerKey": "string",
  • "mandateUniqueReference": "string",
  • "debtorName": "string",
  • "debtorIban": "string",
  • "amount": 0.1,
  • "frequency": "string",
  • "creationDate": "2019-08-24T14:15:22Z",
  • "fillDate": "2019-08-24T14:15:22Z",
  • "activationRequestDate": "2019-08-24T14:15:22Z",
  • "activationDate": "2019-08-24T14:15:22Z",
  • "disableRequestDate": "2019-08-24T14:15:22Z",
  • "disabledDate": "2019-08-24T14:15:22Z",
  • "rejectionDate": "2019-08-24T14:15:22Z",
  • "status": "string",
  • "nextDepositRequestDate": "2019-08-24",
  • "lastDepositRequestedDate": "2019-08-24T14:15:22Z",
  • "addressStreet": "string",
  • "city": "string",
  • "lastError": "string",
  • "lastFailureDate": "2019-08-24T14:15:22Z",
  • "nextDepositDate": "2019-08-24",
  • "lastDepositDate": "2019-08-24T14:15:22Z"
}

GetWalletingMandates

Gets list of Mandates given the provided filters

query Parameters
fromDate
string <date-time>

(Optional default 90 days ago) from date filter

toDate
string <date-time>

(Optional default now) to date filter

status
string

(Optional) status filter

walletId
string <uuid>

(Optional) wallet identifier filter

storeId
string <uuid>

(Optional) store identifier filter

pageSize
integer <int32>
Default: 50

(Optional default 50) page size filter

pageNumber
integer <int32>
Default: 0

(Optional default 0) page number filter

Responses

Response samples

Content type
{
  • "totalCount": 0,
  • "limitCount": 0,
  • "items": [
    ]
}

FillWalletingMandateDocument

Fills the Pdf file for Mandate with Mandate and Wallet data

path Parameters
walletId
required
string <uuid>

Wallet identifier

Responses

Response samples

Content type
{
  • "errorCode": "string",
  • "errorDescription": "string",
  • "errorProperties": {
    }
}

SignWalletingMandateDocument

Signs the Pdf file for Mandate and requests activation

path Parameters
walletId
required
string <uuid>

Wallet identifier

Responses

Response samples

Content type
{
  • "mandateId": "d4dbf0da-b5aa-43ae-b9db-c2aff331d3ad",
  • "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480",
  • "storeId": "b8adcdc8-9238-4168-90f8-77b2d14c211c",
  • "type": "string",
  • "partnerKey": "string",
  • "mandateUniqueReference": "string",
  • "debtorName": "string",
  • "debtorIban": "string",
  • "amount": 0.1,
  • "frequency": "string",
  • "creationDate": "2019-08-24T14:15:22Z",
  • "fillDate": "2019-08-24T14:15:22Z",
  • "activationRequestDate": "2019-08-24T14:15:22Z",
  • "activationDate": "2019-08-24T14:15:22Z",
  • "disableRequestDate": "2019-08-24T14:15:22Z",
  • "disabledDate": "2019-08-24T14:15:22Z",
  • "rejectionDate": "2019-08-24T14:15:22Z",
  • "status": "string",
  • "nextDepositRequestDate": "2019-08-24",
  • "lastDepositRequestedDate": "2019-08-24T14:15:22Z",
  • "addressStreet": "string",
  • "city": "string",
  • "lastError": "string",
  • "lastFailureDate": "2019-08-24T14:15:22Z",
  • "nextDepositDate": "2019-08-24",
  • "lastDepositDate": "2019-08-24T14:15:22Z"
}

GetWalletingMandateDocument

Gets the Pdf file for the current Mandate

path Parameters
walletId
required
string <uuid>

Wallet identifier

Responses

Response samples

Content type
{ }

UpdateWalletingMandateDepositDate

Updates the next deposit date for the active Mandate associated to the Wallet.

To avoid requesting a deposit too early only dates AFTER the currently scheduled deposit date are considered valid.

path Parameters
walletId
required
string <uuid>

Wallet identifier

newDepositDate
required
string <date>

New deposit date for the next deposit (cannot be Saturday or Sunday)

Responses

Response samples

Content type
{
  • "mandateId": "d4dbf0da-b5aa-43ae-b9db-c2aff331d3ad",
  • "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480",
  • "storeId": "b8adcdc8-9238-4168-90f8-77b2d14c211c",
  • "type": "string",
  • "partnerKey": "string",
  • "mandateUniqueReference": "string",
  • "debtorName": "string",
  • "debtorIban": "string",
  • "amount": 0.1,
  • "frequency": "string",
  • "creationDate": "2019-08-24T14:15:22Z",
  • "fillDate": "2019-08-24T14:15:22Z",
  • "activationRequestDate": "2019-08-24T14:15:22Z",
  • "activationDate": "2019-08-24T14:15:22Z",
  • "disableRequestDate": "2019-08-24T14:15:22Z",
  • "disabledDate": "2019-08-24T14:15:22Z",
  • "rejectionDate": "2019-08-24T14:15:22Z",
  • "status": "string",
  • "nextDepositRequestDate": "2019-08-24",
  • "lastDepositRequestedDate": "2019-08-24T14:15:22Z",
  • "addressStreet": "string",
  • "city": "string",
  • "lastError": "string",
  • "lastFailureDate": "2019-08-24T14:15:22Z",
  • "nextDepositDate": "2019-08-24",
  • "lastDepositDate": "2019-08-24T14:15:22Z"
}

DisableStoreMandate

Disables a Mandate active on provided Store or cancels it if it was never requested activation.

path Parameters
storeId
required
string <uuid>

Store owner of the mandate

Responses

Response samples

Content type
{
  • "mandateId": "d4dbf0da-b5aa-43ae-b9db-c2aff331d3ad",
  • "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480",
  • "storeId": "b8adcdc8-9238-4168-90f8-77b2d14c211c",
  • "type": "string",
  • "partnerKey": "string",
  • "mandateUniqueReference": "string",
  • "debtorName": "string",
  • "debtorIban": "string",
  • "amount": 0.1,
  • "frequency": "string",
  • "creationDate": "2019-08-24T14:15:22Z",
  • "fillDate": "2019-08-24T14:15:22Z",
  • "activationRequestDate": "2019-08-24T14:15:22Z",
  • "activationDate": "2019-08-24T14:15:22Z",
  • "disableRequestDate": "2019-08-24T14:15:22Z",
  • "disabledDate": "2019-08-24T14:15:22Z",
  • "rejectionDate": "2019-08-24T14:15:22Z",
  • "status": "string",
  • "nextDepositRequestDate": "2019-08-24",
  • "lastDepositRequestedDate": "2019-08-24T14:15:22Z",
  • "addressStreet": "string",
  • "city": "string",
  • "lastError": "string",
  • "lastFailureDate": "2019-08-24T14:15:22Z",
  • "nextDepositDate": "2019-08-24",
  • "lastDepositDate": "2019-08-24T14:15:22Z"
}

GetWalletingMandateStates

Get list of possible states of WalletingMandate

Responses

Response samples

Content type
[
  • "string"
]

WelfareDeposits

InitializeWelfareDeposit

Initializes a welfare deposit operation on specified wallet

path Parameters
walletId
required
string <uuid>

Wallet where operation is initialized

Request Body schema:
required

Request with operation details

dealerKey
required
string non-empty

Dealer identifier

idempotencyKey
required
string = 32 characters

Idempotency key used to avoid double queue of a single operation (in case of retries)

amount
required
number <double> > 0

Total original amount of loyalty deposit operation. NOTE: fees will be subtracted from this amount (ex: customer deposits 100 eur cash, and 2 eur of fees are applyed, then 98 eur will be charged on customer's wallet)

required
object

Operation tags for storing extra information

Responses

Request samples

Content type
{
  • "dealerKey": "string",
  • "idempotencyKey": "stringstringstringstringstringst",
  • "amount": 0.1,
  • "tags": {
    }
}

Response samples

Content type
{
  • "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",
  • "operationGroupId": "48e5fbc1-3ae3-4ebb-ba74-23a77d81c46b",
  • "operationAmount": 0.1,
  • "finalAmount": 0.1,
  • "netAmount": 0.1,
  • "feesAmount": 0.1,
  • "fees": [
    ],
  • "tags": {
    }
}

ConfirmWelfareDeposit

Confirms a welfare deposit operation using provided identifier

path Parameters
walletId
required
string <uuid>

Wallet where operation is initialized

operationId
required
string <uuid>

Operation to confirm

Responses

Response samples

Content type
{
  • "errorCode": "string",
  • "errorDescription": "string",
  • "errorProperties": {
    }
}

CancelWelfareDeposit

Cancels a welfare deposit operation using provided identifier

path Parameters
walletId
required
string <uuid>

Wallet where operation is initialized

operationId
required
string <uuid>

Operation to cancel

Responses

Response samples

Content type
{
  • "errorCode": "string",
  • "errorDescription": "string",
  • "errorProperties": {
    }
}

TerminateWelfareDeposit

Terminates a welfare deposit operation using provided identifier

path Parameters
walletId
required
string <uuid>

Wallet where operation is initialized

operationId
required
string <uuid>

Operation to terminate

Responses

Response samples

Content type
{
  • "errorCode": "string",
  • "errorDescription": "string",
  • "errorProperties": {
    }
}

SimulateWelfareDeposit

Simulates a welfare deposit operation on wallet and returns applied fees and final amounts

path Parameters
walletId
required
string <uuid>

Wallet where operation is simulated

Request Body schema:
required

Data for simulation

amount
number <double> > 0

Total original amount of welfare deposit operation. NOTE: fees may be subtracted from this amount (ex: customer deposits 100 eur cash, and 2 eur of fees are applyed, then 98 eur will be charged on customer's wallet)

dealerKey
required
string non-empty

DealerKey of the Welfare deposit

object or null

Operation tags for storing extra information

Responses

Request samples

Content type
{
  • "amount": 0.1,
  • "dealerKey": "string",
  • "tags": {
    }
}

Response samples

Content type
{
  • "operationAmount": 0.1,
  • "finalAmount": 0.1,
  • "netAmount": 0.1,
  • "feesAmount": 0.1,
  • "fees": [
    ],
  • "tags": {
    },
  • "limits": {
    }
}